Package ru.bitel.bgbilling.kernel.bgsecure.common.service

# Interface UserGroupService

    public interface UserGroupService

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `deleteGroup​(int id)` |
  `java.lang.String` | `getActionsOfGroup​(int userGroupId)` |
  `Group` | `getGroupById​(int groupId)` |
  `java.util.List<UserGroup>` | `getUserGroupList​(boolean addUsersCount)` |
  `void` | `updateGroup​(Group group, java.lang.String actions)` |
  `int` | `updateUserGroup​(UserGroup userGroup)` |

- ## Method Details

  - ### getUserGroupList

    java.util.List<UserGroup> getUserGroupList​(boolean addUsersCount) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateUserGroup

    int updateUserGroup​(UserGroup userGroup) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### deleteGroup

    void deleteGroup​(int id) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getActionsOfGroup

    java.lang.String getActionsOfGroup​(int userGroupId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Parameters:
      `userGroupId` - id группы для которой возвращается список действий группы
    Returns:
      список действий для данной группы
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### getGroupById

    Group getGroupById​(int groupId) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`

  - ### updateGroup

    void updateGroup​(Group group, java.lang.String actions) throws ru.bitel.bgbilling.common.BGException, ru.bitel.bgbilling.common.BGMessageException
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `ru.bitel.bgbilling.common.BGMessageException`